Bug 863669 - xdpyinfo getting wrong screen dimensions and dpi
xdpyinfo getting wrong screen dimensions and dpi
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks: 960058
  Show dependency treegraph
 
Reported: 2012-10-06 10:00 EDT by Daniel Maia
Modified: 2013-05-10 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-10 13:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.49 KB, text/plain)
2012-10-06 10:01 EDT, Daniel Maia
no flags Details

  None (edit)
Description Daniel Maia 2012-10-06 10:00:38 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:10.0.7) Gecko/20120829 Firefox/10.0.7
Build Identifier: 

I have a Dell Precision M4600 notebook with a Nvidia Quadro 2000M graphic card.

My problem is that xdpyinfo is getting wrong values:
screen #0:
  dimensions:    1920x1080 pixels (508x286 millimeters)
  resolution:    96x96 dots per inch

I tried to force the correct DisplaySize in the /etc/X11/xorg.conf file but it was not respected. My xorg.conf file is attached.

Curiously enough, the correct values are detected by xrandr command:
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1920x1080      59.9*+   60.0     39.9  
   1680x1050      60.0  
   1400x1050      60.0  
   1280x1024      59.9  
   1280x960       59.9  
   ...

Reproducible: Always

Steps to Reproduce:
1.xdpyinfo | grep -B2 resolution
2.xrandr
3.


Expected Results:  
xdpyinfo would get correct screen dimensions and dpi or at least respect the DisplaySize informed in xorg.conf

I tried to install nvidia proprietary driver but it also presented the same mistake. I later uninstalled nvidia proprietary driver and came back to the default nouveau driver.
Comment 1 Daniel Maia 2012-10-06 10:01:57 EDT
Created attachment 622717 [details]
xorg.conf
Comment 3 Adam Jackson 2012-10-10 09:54:27 EDT
Yes, xdpyinfo will lie.  It has to.  That DPI number is sent once at X client connection time and there's no way to refresh it if the monitor configuration changes.  It's also _one_ number, which means it can't help but be a lie if you have multiple displays connected.

The DPI values in xrandr are computed from the EDID of the attached display device, which means they can be (and apparently are) correct per-output.

DisplaySize being ignored is probably a bug though.
Comment 4 Daniel Maia 2012-10-10 12:21:07 EDT
Could you please confirm if the DisplaySize is really being ignored (so a bug) or if it is just my xorg.conf that is not properly written?
I am trying without sucess to make nvidia-settings recognize the correct display size and maybe I should just quit if it is really a bug.
Comment 5 Tomas Pelka 2013-05-09 08:30:54 EDT
(In reply to comment #4)
> Could you please confirm if the DisplaySize is really being ignored (so a
> bug) or if it is just my xorg.conf that is not properly written?
> I am trying without sucess to make nvidia-settings recognize the correct
> display size and maybe I should just quit if it is really a bug.

Adam could you please reply Daniels question and probably close this issue?

Thanks
Tom
Comment 6 Adam Jackson 2013-05-10 13:33:38 EDT
In RANDR 1.2 the Monitor keyword in the Screen section doesn't really mean anything anymore.  You need to associate Monitors with specific outputs in the Device section:

Section "Device"
    Identifier     "Device0"
    Driver         "nouveau"
    Option         "Monitor-LVDS-1" "Monitor0"
EndSection

Please reopen if that doesn't fix this for you.

Note You need to log in before you can comment on or make changes to this bug.